﻿swin.html('<div id="vChart" style="width: 728px; height: 428px;"></div>');
var colors = '#0080ff|#f07800|#dbcb00|#cf03c0|#673434'.split('|');
var sname = '$snames';
var chartType = '$chartType';
var chartInterval = '$chartInterval';
var cTitle = 'lang["vps_state_charts"]';
var x_interval = 1;
var x_intervalType = 'minutes';
var x_format = 'yyyy-m-d';
var y_format = '%d';
var y_max = null;
var y_rate = 100;
switch (chartType) {
    case '1':
        cTitle = 'lang["chart_cpu_usage"]%';
        y_format = '%d %%';
        y_max = 100;
        break;
    case '2':
        cTitle = 'lang["chart_ram_usage"]';
        y_rate = 1 / 1024;
        y_format = '%d MB';
        sname = sname.replaceAll('memory_internal_free', 'lang["label_chart_free_memory"]$vps_memoryMB').replaceAll('memory', 'lang["chart_total_memory"]');
        y_max = ($vps_memory + 256);
        break;
    case '3':
        cTitle = 'lang["chart_io_usage"]';
        y_format = '%.2f Mbps';
        y_rate = 1 / 123300;
        sname = sname.replaceAll('_read', '_lang["chart_read"]').replaceAll('_write', '_lang["chart_write"]');
     break;
 case '4':
     cTitle = 'lang["chart_network_usage"]';
     y_format = '%.2f Mbps';
     y_rate = 1 / 123300;
     sname = sname.replaceAll('_tx', '_lang["chart_send"]').replaceAll('_rx', '_lang["chart_receive"]');
     break;
}


switch (chartInterval) {
    case '5':
        cTitle += 'lang["chart_title_10_minutes"]';
        x_format = 'HH:MM';
    break;
    case '60':
        cTitle += 'lang["chart_title_120_minutes"]';
        x_interval = 15;
        x_format = 'HH:MM';
        break;
    case '3600':
        cTitle += 'lang["chart_title_24_hours"]';
        x_interval = 3;
        x_format = 'HH:MM';
        x_intervalType = 'hours';
        break;
    case '86400':
        cTitle += 'lang["chart_title_1_month"]';
        x_interval = 4;
        x_intervalType = 'days';
        break;
    case '2592000':
        cTitle += 'lang["chart_title_3_months"]';
        x_interval = 10;
        x_intervalType = 'days'; 
    break;
}
swin.dialog("option", "title", cTitle);
var i;
var sdata = new Array();
var ddata = new Array();
var snames = sname.split('|');
for (i = 0; i < snames.length; i++) sdata[i] = [];
var stimes = '$stimes'.split(',');

//$dataList

for (d = 0; d < snames.length; d++) {
    for (i = 0; i < ddata[0].length; i++) {
        sdata[d].push([new Date(parseInt(stimes[i]) * 1000), (parseFloat(ddata[d][i]) * y_rate)]);
    }
}
$('#vChart').jqChart({
    title: { text: cTitle, font: '18px sans-serif' },
    legend: {
        location: 'top',
        font: '12px Arial, Helvetica, sans-serif'
    },
    axes: [
            {
                type: 'dateTime',
                location: 'bottom',
                labels: { stringFormat: x_format},
                interval: x_interval,
                intervalType: x_intervalType
            },
            { location: 'left',
                labels: { stringFormat: y_format },
                majorGridLines: { strokeStyle: '#EEEEEE' },
                minimum: 0,
                maximum: y_max
            }],
    border: { lineWidth: 0 },
    series: [
    //$series
            ]
});

            